#!/bin/bash
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
echo "Downloading Latest Konekta (Linux x64)..."
wget https://cdn.shinobi.video/binaries/konekta/konekta-linux.zip -O $SCRIPTPATH/temp_konekta.zip
echo "Unzipping Konekta..."
unzip $SCRIPTPATH/temp_konekta.zip
echo "Deleting old Konekta..."
rm $SCRIPTPATH/shinobi-konekta
echo "Setting new Konekta..."
mv $SCRIPTPATH/konekta-linux/shinobi-konekta $SCRIPTPATH/shinobi-konekta
chmod +x $SCRIPTPATH/shinobi-konekta
echo "Cleaning up..."
rm $SCRIPTPATH/temp_konekta.zip
rm -rf $SCRIPTPATH/konekta-linux
echo "Restarting Konekta..."
pm2 flush
pm2 restart $SCRIPTPATH/shinobi-konekta
echo "Done!"
